<?php
////////////////////////////////////////////////////////////////////////
// Example Plugin Console
// Plugin console is NOT required for all plugins. Many plugins merely add code the the pages and maybe provide a style sheet.
// But if your plugin needs additional configuration and/or control, you can create a console for it.  This is a skeleton 
// plugin console module that has no functionality other that typical examples of initialization.
//
	// Include check_session.php to bring in site configuration and database connectivity.
	include ("check_session.php");
	
	// Include language file based on config language setting.  You will need to create language files to use this feature.
	$query = "SELECT `language_folder` FROM " . BWB_TABLE_PREFIX . "plugins WHERE `name` = 'My Plugin'";
	$result = $bwb_dbh->query($query);
	$row = $result->fetch(PDO::FETCH_ASSOC);
	$language_folder = $row['language_folder'];
	
	$document_root = $_SERVER['DOCUMENT_ROOT'];
	if ((defined("BWB_LANG")) && (file_exists(document_root . "/" . $language_folder . "/" . BWB_LANG . ".php")))
		include_once ($document_root . "/" . $language_folder . "/" . BWB_LANG . ".php");
	else
		include_once ($document_root . "/" . $language_folder . "/en.php");
		
	// Put any additional pre-body PHP code here as needed.
?>
<!DOCTYPE html>
<html>
<head>
<!-- Put the name of your plugin below to appear in the browser window tab. -->
<title>My Plugin | Breeze Website Builder</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<link rel="shortcut icon" href="../images/favicon.ico" type="image/x-icon">
<link rel="stylesheet" href="../theme/<?php echo $theme; ?>/manager.css" type="text/css">
<!-- You may include your own style sheet here. -->

<!-- Included JS libraries for popup messages if you want to utilize them. -->
<script src="../js/mouse_position.js"></script>
<script src="../js/popup_msg.js"></script>

<script>
	// Put your plugin console JavaScript here, or offload to js file.
	
	// Transfers this module's page title to main frame.  Without this, your page title set above will not been seen.
	window.parent.document.title = document.title;
	
	// Initilize popup message library.
	var param_array = {'popup_msg_type' : 1, 'status_msg' : '', 'popup_timeout' : -1};
	var popup_msg = new PopupMsg(param_array);
	
	/*
	Function to open poput to help topic.  You will need to create a help topic to use this feature. Just change "my_plugin_help"
	to the name of the html page for your help topic. The example below is for a file named my_plugin_help.html.
	Note: You will need to submit your help top to breezewebsitebuilder.com to have you topic included on our help system.
	You may also host the help topic yourself, or include it with your plugin zip file.  To do either of these options
	you will need to change the entire path below.
	*/
	function OpenHelpWindow()
	{
		window.open("http://breezewebsitebuilder.com/docs/cms/help.html#my_plugin_help", "Help", "scrollbars=1,resizable=1,status=0,toolbar=0,menubar=0,location=0,height=700,width=800");
	}
	
	
	/*
	This blank function must be included in your plugin console to avoid a lockup situation caused by the main menu attempting
	to call this function.  You may add code internally if there are elements that need to be resized dynamically in your console.
	*/
	function ResizeWorkspace(mainWidth, mainHeight, menuWidth, headerHeight) {
	
	}
	
	/*
	This blank function must be included in your plugin console to avoid a lockup situation caused by the main menu attempting
	to call this function.  You may also wish to set the saved flag to false somewhere in your console and popup a message instead
	of processing the next click automatically.
	*/
	function DisplayNotSavedMessage(btn)	{
		// Needed to complete call when deleting unsaved page.
		window.parent.SetWorkSavedNotSaved(true);
		window.parent.next_btn = btn;
		window.parent.DoNextClick();
	}
</script>

<!-- Put any additional head PHP code or HTML here as needed. -->

</head>

<body id="workspace_body">

<!-- This is an example of a heading for your plugin console.  Note that this example shows the use of a langage define that would be in your language file. -->
<div class="button_heading_sub_level_1"><div class="button_heading_text_sub_level_1">
	<?php echo MY_PLUGIN_HEADING; ?></div><div class="button_heading_help" onClick="OpenHelpWindow();">&nbsp;
</div></div>

<!-- Put your plugin console HTML (and possible PHP) here as needed. -->

<!-- Included popup message HTML if you want to utilize them. -->
<?php include("../lib/popup_msg.html"); ?>

<script>
	// Hide popup message upon first entering your plugin console.
	popup_msg.HidePopupMsg();
</script>

</body>
</html>